Bug 52743 - %postinstall scriptlet fails if /usr is mounted ro
%postinstall scriptlet fails if /usr is mounted ro
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: ttfonts-ko (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Joo
David Lawrence
:
Depends On: 51193
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-28 13:14 EDT by Enrico Scholz
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 21:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-08-28 13:14:55 EDT
Description of Problem:

When having /usr mounted read-only (and put into rpms %_netsharedpath), the
%postinstall scriptlet fails. This leads to duplicate entries in the
rpm-database:

$ rpm -q ttfonts-ko
ttfonts-ko-1.0-5
ttfonts-ko-1.0-7

See bug #51193 also.


Version-Release number of selected component (if applicable):

ttfonts-ko-1.0-7


Steps to Reproduce:
1. mount /usr read-only
2. rpm -U --eval '%define _netsharedpath /usr' ttfonts-ko-1.0-7.noarch.rpm


Actual Results:

(2) tells
touch: creating `//usr/share/fonts/ko/TrueType/fonts.dir': Read-only file
system
Fehler: execution of %post scriptlet from ttfonts-ko-1.0-7 failed, exit
status 1


Expected Results:

no message
Comment 1 Leon Ho 2001-09-03 01:58:32 EDT
ttfonts-ko has been rebuilt to 1.08 to prevent this error. It will check if
fonts.dir is writable before it touches the file.
Comment 2 Enrico Scholz 2003-05-27 16:27:13 EDT
again in ttfonts-ko-1.0.11-29:

  37:ttfonts-ko             ########################################### [ 63%]
Could not open output file /usr/share/fonts/ko/TrueType/fonts.scale
/usr/X11R6/bin/mkfontdir: cannot unlink /usr/share/fonts/ko/TrueType/fonts.dir
/usr/X11R6/bin/mkfontdir: failed to create directory in /usr/share/fonts/ko/TrueType
Can't save cache in "/usr/share/fonts/ko/TrueType"
Fehler: %post(ttfonts-ko-1.0.11-29) scriptlet failed, exit status 1
Comment 3 Leon Ho 2003-07-07 20:25:59 EDT
David, please have a look this bug.
Comment 4 Mike A. Harris 2003-07-08 01:24:26 EDT
This is reported against other font packages also.  It is important IMHO that
every font package handles this the exact same way, and that each font package
maintainer doesn't do it differently for no good reason.

The XFree86.spec file is the canonical example to follow.  The font package
pre/post scripts redirect stderr/stdout to /dev/null and ignore errors by
using:   somecommand || :

For the types of errors that could potentially be displayed during a font
package's installation, none of them are important to see, and should be
ignored.

Cross package consistency in handling things like this is very important.
Please follow the XFree86 spec file's font pre/post install scripts as
an example, and contact me if there's anything needing clarification, etc.
and I'd be glad to make suggestions and help out, etc.

Comment 5 Bill Nottingham 2006-08-07 21:28:50 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux. Red Hat
Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more timely manner.
However, the issues listed in these bugs are in packages that are no longer
shipped in a current Fedora Core release. Hence, we are closing these bugs CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.